generateRandom.Niche {galgo} | R Documentation

## Generates random values for all genes contained in all chromosomes in the niche

### Description

It only pass the message `generateRandom` to all its chromosomes.

### Usage

    ## S3 method for class 'Niche'
    generateRandom(.O, ...)

### Value

Returns nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Niche`. `unObject`, `as.list.Object`, `newCollection.Niche`, `newRandomCollection.Niche`.

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      ni <- Niche(chromosomes=newRandomCollection(cr, 10))
      ni
      ni2 <- ni
      generateRandom(ni2)
      ni2
      ni			# ni and ni2 are the very same object
      ni3 <- clone(ni2)
      generateRandom(ni3)
      ni3
      ni2			# now cr2 is different to cr3
      ni			# but cr2 is still the same than cr

[Package galgo version 1.4 Index]